export default class LeafletMap extends Component<any, any, any> {
    constructor(props: any);
    mapRef: import("react").RefObject<any>;
    componentDidMount(): void;
    map: L.Map | undefined;
    drawControl: L.Control.Draw | undefined;
    componentDidUpdate(prevProps: any): void;
    componentWillUnmount(): void;
    supportsFilter(): boolean;
    startFilter(): void;
    _filter: L.Draw.Rectangle | undefined;
    stopFilter(): void;
    onFilter: (e: any) => void;
    render(): import("react/jsx-runtime").JSX.Element;
    _getLatLonIndexes(): {
        latitudeIndex: number;
        longitudeIndex: number;
    };
    _getLatLonColumns(): {
        latitudeColumn: any;
        longitudeColumn: any;
    };
    _getMetricColumn(): any;
}
import { Component } from "react";
import L from "leaflet";
